| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetworkInformation Class Reference

Helper to encapsulate the network information. More...

`#include <NetworkInformation.h>`

## Public Member Functions
string | GetIpAddress ()
| Gets the IP v4 Address.
void | SetIpAddress (string pIP)
| Sets the IP v4 Address.
int | GetIpPort ()
| Gets the tcp/ip comm port.
void | SetIpPort (int pPort)
| Sets the tcp/ip comm port.
string | GetGateway ()
| Gets the gateway Address.
void | SetGateway (string pGateway)
| Sets the Gateway address.
string | GetSubnetMask ()
| Gets the subnet mask.
void | SetSubnetMask (string pSubnetMask)
| Sets the subnet mask.
bool | GetDhcpMode ()
| Gets the dhcp mode.
void | SetDhcpMode (bool pEnabled)
| Sets the dhcp mode.
string | GetMacAddress ()
| Get the sensor's mac adress.
void | SetMacAddress (string macdAdress)
| Sets the mac adress field.

## Detailed Description

Helper to encapsulate the network information.

## Member Function Documentation

## ◆ GetDhcpMode()

bool NetworkInformation::GetDhcpMode | ( |  | ) |

Gets the dhcp mode.

Returns
  dhcp mode as a boolean (true: ON, false: OFF)

## ◆ GetGateway()

string NetworkInformation::GetGateway | ( |  | ) |

Gets the gateway Address.

Returns
  Gateway address as a string

## ◆ GetIpAddress()

string NetworkInformation::GetIpAddress | ( |  | ) |

Gets the IP v4 Address.

Returns
  IP Address as a string

## ◆ GetIpPort()

int NetworkInformation::GetIpPort | ( |  | ) |

Gets the tcp/ip comm port.

Returns
  TCP Port as an int

## ◆ GetMacAddress()

string NetworkInformation::GetMacAddress | ( |  | ) |

Get the sensor's mac adress.

Returns
  The mac adress

## ◆ GetSubnetMask()

string NetworkInformation::GetSubnetMask | ( |  | ) |

Gets the subnet mask.

Returns
  Subnet mask as a string

## ◆ SetDhcpMode()

void NetworkInformation::SetDhcpMode | ( | bool | pEnabled | ) |

Sets the dhcp mode.

Parameters

  pEnabled | The DHCP mode to be set (true: ON, false: OFF)

## ◆ SetGateway()

void NetworkInformation::SetGateway | ( | string | pGateway | ) |

Sets the Gateway address.

Parameters

  pGateway | The gateway address v4 to be set

## ◆ SetIpAddress()

void NetworkInformation::SetIpAddress | ( | string | pIP | ) |

Sets the IP v4 Address.

Parameters

  pIP | The IP Address v4 to be set

## ◆ SetIpPort()

void NetworkInformation::SetIpPort | ( | int | pPort | ) |

Sets the tcp/ip comm port.

Parameters

  pPort | tcp/ip port as an int

## ◆ SetMacAddress()

void NetworkInformation::SetMacAddress | ( | string | macAddress | ) |

Sets the mac adress field.

Parameters

  macAdress | The mac adress to be encapsulated

## ◆ SetSubnetMask()

void NetworkInformation::SetSubnetMask | ( | string | pSubnetMask | ) |

Sets the subnet mask.

Parameters

  pSubnetMask | The subnet mask v4 to be set

The documentation for this class was generated from the following files:

- NetworkInformation.h
- NetworkInformation.cpp